.hoplink-div{
    padding:20px;
    border:2px solid #E89217;
    margin:20px 0;
    font-size: 18px;
}


.hoplink-note{
    font-size: 0.8em;
    padding:20px 0;
}

.hoplink-div .hoplink-sub-title{
    font-size: 1.5em;
    color:#E89217;
}

.hoplink-div .hoplink-title{
    margin-bottom:15px;
}

.hoplink-form-div{
    max-width: 600px;
    margin: auto;
}

.hoplink-inputs{
    display: flex;
    gap:20px;
    padding:5px 0 15px 0;
}

.hoplink-input{
    text-align: left;
    
}

.hoplink-input label{
    margin-bottom:5px;
    line-height: 2;
    font-size: 0.9em;
}

.hoplink-inputs input, .hoplink-inputs select{
    padding:10px 5px;
}

#generate-link-btn{
    width: fit-content;
    padding:10px 20px;
    cursor: pointer;
    background: #E89217;
    color:black;
    font-weight: bold;
    font-size: 1em;
    border-radius: 5px;
    border:none;
    transition: all 0.2s linear;
    margin: 0 10px 10px;
}

#generate-link-btn:hover{
    background-color: #cf8112; /* Darkened version of E89217 */
}

.hoplink-checkbox{
    display: flex;
    margin: auto;
    justify-content: center;
    gap:10px;
}

.hoplink-checkbox > *{
    width: fit-content;
}

.hoplink-affiliate-link-div{
    display: none;
    padding:20px 0 0;
    margin-top:20px;
    border-top:1px solid #F1B464;
}

#affiliate_link{
    color: #F1B464;
}

#copy-link-btn{
    padding:10px 20px;
    font-size: 0.8em;
    border-radius: 5px;
    border:none;
    width: fit-content;
    margin-top:10px;
    background: #F1B464;
    color:black;
    font-weight: bold;
    cursor: pointer;
    transition: all 0.2s linear;
}

#copy-link-btn:hover{
    background: #F4C78B;
}

.hop_err{
    color:#FF4D4D;
}

@media(max-width:600px){
    .hoplink-inputs{
        flex-direction: column;
        padding-bottom: 20px;
        gap:5px;
    }
}